{#
/**
 * @file
 * Default theme implementation for a 2 column layout.
 *
 * Available variables:
 * - content: The content for this layout.
 * - attributes: HTML attributes for the layout <div>.
 *
 * Additional layout settings 
 * - settings.cuskt_column_setting: selected column bundle for layout - default to 2col__6_6 (equal columns)
 *
 * @ingroup themeable
 */
#}
{% set column_layout_setting = settings.cuskt_column_setting %}

{% if content %}
  <div{{ attributes.addClass('row') }}>

    {% if column_layout_setting == '2col__5_7' %}
      <div{{ region_attributes.first.addClass('col-sm-5') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-7') }}>
        {{ content.second }}
      </div>
    {% elseif column_layout_setting == '2col__7_5' %}
      <div{{ region_attributes.first.addClass('col-sm-7') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-5') }}>
        {{ content.second }}
      </div>
    {% elseif column_layout_setting == '2col__4_8' %}
      <div{{ region_attributes.first.addClass('col-sm-4') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-8') }}>
        {{ content.second }}
      </div>
    {% elseif column_layout_setting == '2col__8_4' %}
      <div{{ region_attributes.first.addClass('col-sm-8') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-4') }}>
        {{ content.second }}
      </div>
    {% elseif column_layout_setting == '2col__3_9' %}
      <div{{ region_attributes.first.addClass('col-sm-4 col-lg-3') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-8 col-lg-9') }}>
        {{ content.second }}
      </div>
    {% elseif column_layout_setting == '2col__9_3' %}
      <div{{ region_attributes.first.addClass('col-sm-8 col-lg-9') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-4 col-lg-3') }}>
        {{ content.second }}
      </div>
    {% elseif column_layout_setting == '2col__2_10' %}
      <div{{ region_attributes.first.addClass('col-sm-2') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-10') }}>
        {{ content.second }}
      </div>
    {% elseif column_layout_setting == '2col__10_2' %}
      <div{{ region_attributes.first.addClass('col-sm-10') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-2') }}>
        {{ content.second }}
      </div>
    {% else %}
      <div{{ region_attributes.first.addClass('col-sm-6') }}>
        {{ content.first }}
      </div>

      <div{{ region_attributes.second.addClass('col-sm-6') }}>
        {{ content.second }}
      </div>
    {% endif %}

  </div>
{% endif %}
